# mpar: Mozaïc Pack Archiver

A featureful archiver for the .pak file format, as found in the game Mozaïc, by Ingenio, a Loto-Québec subsidiary, and probably a few of their other games.

## Known to work with

- Mozaïc

## Build

Use Zig 0.14.

## Usage

If you intend to mod the game, you will want to repack the files using our JSON metadata format that looks like this:

```
{
  "description": "",
  "entries": [
    {
      "name": "media\\En\\Img\\Hd\\aide_bkg_explic_EN.bmp",
      "value": 39
    },
    // ...
  ]
}
```

You can generate one from an existing pack using this command:

```
mpar l -f json Mozaic_EN_hd.pak
```

The `description` field can be freely changed, and as far as we know isn't used by the game. We highly recommend to put something there. It has a limit of 32 bytes.

The `value` field, every file has one, we still don't know what it is for, how it's generated and how it correlates to anything, but it seems important for the game - it's going to crash right away if you change any of these values.

The format can change at any time, so you may want to regenerate a fresh one if you upgrade this tool.